futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CodeGen.Backends.GenericC.Pretty

Description

Compatibility shims for mainland-pretty; the prettyprinting library used by language-c-quote.

Synopsis

- expText :: Exp -> Text
- definitionsText :: [Definition] -> Text
- typeText :: Type -> Text
- idText :: Id -> Text
- funcText :: Func -> Text
- funcsText :: [Func] -> Text

# Documentation

expText :: Exp -> Text Source #

Prettyprint a C expression.

definitionsText :: [Definition] -> Text Source #

Prettyprint a list of C definitions.

typeText :: Type -> Text Source #

Prettyprint a single C type.

idText :: Id -> Text Source #

Prettyprint a single identifier.

funcText :: Func -> Text Source #

Prettyprint a single function.

funcsText :: [Func] -> Text Source #

Prettyprint a list of functions.